// iyixiGames.Web/Services/IAuthService.cs
using System.Threading.Tasks;
using iyixiGames.Domain.DTOs.Auth;
using iyixiGames.Domain.Entities;

namespace iyixiGames.Web.Services
{
    public interface IAuthService
    {
        string GenerateJwtToken(User user);
        Task<LoginResponse> AuthenticateUserAsync(LoginRequest request);
    }
}